# Whiteboard line object
#
# Copyright (C) 2009 David Vrabel

def Line(WhiteboardObject):
    def __init__(self, line_width, color):
        self.line_width = line_width
        self.color = color
        self.points = []
        self.handles = []

    def add_point(self, point):
        self.points.append(point)

    def complete(self):
        self.__approximate()
        self.__choose_handles()

    def draw(self, ui, dc):
        ...

    def to_xml(self):
        ...

    def from_xml(self, xml_dom):
        ...

    def __approximate(self):
        ...

    def __choose_handles():
        ...
